/* spi.h */

#ifndef __SPI_H
#define __SPI_H

#include "types.h"

void init_spi(void);
void spi_speedup(void);
void spi_write_byte(char byte);
char spi_read_byte(void);
void spi_write_bytes(char *data, int len);
void spi_read_bytes(char *data, int len);
void spi_transaction_start(void);
void spi_transaction_stop(void);
void spi_drain(void);


#endif /* __SPI_H */
